# Interface NativeToolChain

All Superinterfaces:
  `Named, ToolChain`

All Known Subinterfaces:
  `Clang, Gcc, GccCompatibleToolChain, Swiftc, VisualCpp`

@Incubating public interface NativeToolChain extends ToolChain
A set of compilers and linkers that are used together to construct a native binary.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface Named

`getName`

### Methods inherited from interface ToolChain

`getDisplayName`